it.csi.mddtools.guigen

## Interface MapView

- All Superinterfaces:
    DataWidget, org.eclipse.emf.ecore.EObject, MultiDataWidget, org.eclipse.emf.common.notify.Notifier, Widget

      public interface MapView
      extends DataWidget, MultiDataWidget

  A representation of the model object 'Map View'.

  The following features are supported:

  - `Map Id`
  - `Start Envelope Spec`
  - `Max Envelope Spec`
  - `Scale Envelope Spec`
  - `Num Levels`
  - `Edit Data Binding`
  - `Gadgets`
  - `No Click When Disabled`
  - `No Edit When Disabled`
  - `No Zoom When Disabled`
  - `No Pan When Disabled`
  See Also:
    `GuigenPackage.getMapView()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppDataBinding` | `getEditDataBinding()` Returns the value of the 'Edit Data Binding' containment reference
    `MapViewGadgets` | `getGadgets()` Returns the value of the 'Gadgets' containment reference
    `java.lang.String` | `getMapId()` Returns the value of the 'Map Id' attribute
    `MapEnvelope` | `getMaxEnvelopeSpec()` Returns the value of the 'Max Envelope Spec' containment reference
    `int` | `getNumLevels()` Returns the value of the 'Num Levels' attribute
    `MapEnvelope` | `getScaleEnvelopeSpec()` Returns the value of the 'Scale Envelope Spec' containment reference
    `MapEnvelope` | `getStartEnvelopeSpec()` Returns the value of the 'Start Envelope Spec' containment reference
    `boolean` | `isNoClickWhenDisabled()` Returns the value of the 'No Click When Disabled' attribute.
    `boolean` | `isNoEditWhenDisabled()` Returns the value of the 'No Edit When Disabled' attribute.
    `boolean` | `isNoPanWhenDisabled()` Returns the value of the 'No Pan When Disabled' attribute.
    `boolean` | `isNoZoomWhenDisabled()` Returns the value of the 'No Zoom When Disabled' attribute.
    `void` | `setEditDataBinding(AppDataBinding value)` Sets the value of the '`Edit Data Binding`' containment reference
    `void` | `setGadgets(MapViewGadgets value)` Sets the value of the '`Gadgets`' containment reference
    `void` | `setMapId(java.lang.String value)` Sets the value of the '`Map Id`' attribute
    `void` | `setMaxEnvelopeSpec(MapEnvelope value)` Sets the value of the '`Max Envelope Spec`' containment reference
    `void` | `setNoClickWhenDisabled(boolean value)` Sets the value of the '`No Click When Disabled`' attribute
    `void` | `setNoEditWhenDisabled(boolean value)` Sets the value of the '`No Edit When Disabled`' attribute
    `void` | `setNoPanWhenDisabled(boolean value)` Sets the value of the '`No Pan When Disabled`' attribute
    `void` | `setNoZoomWhenDisabled(boolean value)` Sets the value of the '`No Zoom When Disabled`' attribute
    `void` | `setNumLevels(int value)` Sets the value of the '`Num Levels`' attribute
    `void` | `setScaleEnvelopeSpec(MapEnvelope value)` Sets the value of the '`Scale Envelope Spec`' containment reference
    `void` | `setStartEnvelopeSpec(MapEnvelope value)` Sets the value of the '`Start Envelope Spec`' containment reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.DataWidget

      `getDatabinding, getDataType, getDataTypeModifier, isRequired, setDatabinding, setDataType, setDataTypeModifier, setRequired`

    - ### Methods inherited from interface it.csi.mddtools.guigen.MultiDataWidget

      `getMultiDataBinding, setMultiDataBinding`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMapId

          java.lang.String getMapId()

      Returns the value of the 'Map Id' attribute.

      If the meaning of the 'Map Id' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Map Id' attribute.
      See Also:
        `setMapId(String)`, `GuigenPackage.getMapView_MapId()`

    - #### setMapId

          void setMapId(java.lang.String value)

      Sets the value of the '`Map Id`' attribute.
      Parameters:
        `value` - the new value of the 'Map Id' attribute.
      See Also:
        `getMapId()`

    - #### getStartEnvelopeSpec

          MapEnvelope getStartEnvelopeSpec()

      Returns the value of the 'Start Envelope Spec' containment reference.

      If the meaning of the 'Start Envelope Spec' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Start Envelope Spec' containment reference.
      See Also:
        `setStartEnvelopeSpec(MapEnvelope)`, `GuigenPackage.getMapView_StartEnvelopeSpec()`

    - #### setStartEnvelopeSpec

          void setStartEnvelopeSpec(MapEnvelope value)

      Sets the value of the '`Start Envelope Spec`' containment reference.
      Parameters:
        `value` - the new value of the 'Start Envelope Spec' containment reference.
      See Also:
        `getStartEnvelopeSpec()`

    - #### getMaxEnvelopeSpec

          MapEnvelope getMaxEnvelopeSpec()

      Returns the value of the 'Max Envelope Spec' containment reference.

      If the meaning of the 'Max Envelope Spec' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Max Envelope Spec' containment reference.
      See Also:
        `setMaxEnvelopeSpec(MapEnvelope)`, `GuigenPackage.getMapView_MaxEnvelopeSpec()`

    - #### setMaxEnvelopeSpec

          void setMaxEnvelopeSpec(MapEnvelope value)

      Sets the value of the '`Max Envelope Spec`' containment reference.
      Parameters:
        `value` - the new value of the 'Max Envelope Spec' containment reference.
      See Also:
        `getMaxEnvelopeSpec()`

    - #### getScaleEnvelopeSpec

          MapEnvelope getScaleEnvelopeSpec()

      Returns the value of the 'Scale Envelope Spec' containment reference.

      If the meaning of the 'Scale Envelope Spec' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scale Envelope Spec' containment reference.
      See Also:
        `setScaleEnvelopeSpec(MapEnvelope)`, `GuigenPackage.getMapView_ScaleEnvelopeSpec()`

    - #### setScaleEnvelopeSpec

          void setScaleEnvelopeSpec(MapEnvelope value)

      Sets the value of the '`Scale Envelope Spec`' containment reference.
      Parameters:
        `value` - the new value of the 'Scale Envelope Spec' containment reference.
      See Also:
        `getScaleEnvelopeSpec()`

    - #### getNumLevels

          int getNumLevels()

      Returns the value of the 'Num Levels' attribute.

      If the meaning of the 'Num Levels' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Num Levels' attribute.
      See Also:
        `setNumLevels(int)`, `GuigenPackage.getMapView_NumLevels()`

    - #### setNumLevels

          void setNumLevels(int value)

      Sets the value of the '`Num Levels`' attribute.
      Parameters:
        `value` - the new value of the 'Num Levels' attribute.
      See Also:
        `getNumLevels()`

    - #### getEditDataBinding

          AppDataBinding getEditDataBinding()

      Returns the value of the 'Edit Data Binding' containment reference.

      If the meaning of the 'Edit Data Binding' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Edit Data Binding' containment reference.
      See Also:
        `setEditDataBinding(AppDataBinding)`, `GuigenPackage.getMapView_EditDataBinding()`

    - #### setEditDataBinding

          void setEditDataBinding(AppDataBinding value)

      Sets the value of the '`Edit Data Binding`' containment reference.
      Parameters:
        `value` - the new value of the 'Edit Data Binding' containment reference.
      See Also:
        `getEditDataBinding()`

    - #### getGadgets

          MapViewGadgets getGadgets()

      Returns the value of the 'Gadgets' containment reference.

      If the meaning of the 'Gadgets' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Gadgets' containment reference.
      See Also:
        `setGadgets(MapViewGadgets)`, `GuigenPackage.getMapView_Gadgets()`

    - #### setGadgets

          void setGadgets(MapViewGadgets value)

      Sets the value of the '`Gadgets`' containment reference.
      Parameters:
        `value` - the new value of the 'Gadgets' containment reference.
      See Also:
        `getGadgets()`

    - #### isNoClickWhenDisabled

          boolean isNoClickWhenDisabled()

      Returns the value of the 'No Click When Disabled' attribute. The default value is `"true"`. Se impostato a true quando il widget è disabilitato viene disabilitato anche un eventuale possibilità di scatenare un evento di click sulla mappa
      Returns:
        the value of the 'No Click When Disabled' attribute.
      See Also:
        `setNoClickWhenDisabled(boolean)`, `GuigenPackage.getMapView_NoClickWhenDisabled()`

    - #### setNoClickWhenDisabled

          void setNoClickWhenDisabled(boolean value)

      Sets the value of the '`No Click When Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'No Click When Disabled' attribute.
      See Also:
        `isNoClickWhenDisabled()`

    - #### isNoEditWhenDisabled

          boolean isNoEditWhenDisabled()

      Returns the value of the 'No Edit When Disabled' attribute. The default value is `"true"`. Se impostato a true quando il widget è disabilitato viene disabilitato anche un eventuale possibilità di effettuare editing di geometrie sulla mappa
      Returns:
        the value of the 'No Edit When Disabled' attribute.
      See Also:
        `setNoEditWhenDisabled(boolean)`, `GuigenPackage.getMapView_NoEditWhenDisabled()`

    - #### setNoEditWhenDisabled

          void setNoEditWhenDisabled(boolean value)

      Sets the value of the '`No Edit When Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'No Edit When Disabled' attribute.
      See Also:
        `isNoEditWhenDisabled()`

    - #### isNoZoomWhenDisabled

          boolean isNoZoomWhenDisabled()

      Returns the value of the 'No Zoom When Disabled' attribute. The default value is `"false"`. Se impostato a true quando il widget è disabilitato viene disabilitata la funzione di zoom a comando utente (in tutte le sue modalità)
      Returns:
        the value of the 'No Zoom When Disabled' attribute.
      See Also:
        `setNoZoomWhenDisabled(boolean)`, `GuigenPackage.getMapView_NoZoomWhenDisabled()`

    - #### setNoZoomWhenDisabled

          void setNoZoomWhenDisabled(boolean value)

      Sets the value of the '`No Zoom When Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'No Zoom When Disabled' attribute.
      See Also:
        `isNoZoomWhenDisabled()`

    - #### isNoPanWhenDisabled

          boolean isNoPanWhenDisabled()

      Returns the value of the 'No Pan When Disabled' attribute. The default value is `"false"`. Se impostato a true quando il widget è disabilitato viene disabilitata la funzione di pan a comando utente (in tutte le sue modalità)
      Returns:
        the value of the 'No Pan When Disabled' attribute.
      See Also:
        `setNoPanWhenDisabled(boolean)`, `GuigenPackage.getMapView_NoPanWhenDisabled()`

    - #### setNoPanWhenDisabled

          void setNoPanWhenDisabled(boolean value)

      Sets the value of the '`No Pan When Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'No Pan When Disabled' attribute.
      See Also:
        `isNoPanWhenDisabled()`